version: '3.4'

services:
  oc-scheduler:
    environment: 
      - MONGO_DATABASE=DC_myDC
    image: 'oc-scheduler:latest'
    labels:
        - "traefik.enable=true"
        - "traefik.http.routers.scheduler.entrypoints=web"
        - "traefik.http.middlewares.auth.forwardauth.address=http://oc-auth:8080/oc/forward"
        - "traefik.http.routers.workflow.rule=PathPrefix(/scheduler)"
        - "traefik.http.routers.scheduler.tls=false"
        - "traefik.http.routers.scheduler.middlewares=auth"
    ports:
      - 8090:8080
    container_name: oc-scheduler
    networks: 
      - catalog

networks: 
  catalog:
    external: true